package cn.yyxx.columbus.core.network

import android.content.Context
import cn.yyxx.columbus.core.internal.IRequestCallback
import org.json.JSONObject

/**
 * @author #Suyghur.
 * Created on 2021/06/21
 */
class SdkRequest {


    fun initSdk(context: Context, callback: IRequestCallback) {
        val jsonObject = JSONObject()
        jsonObject.put("route_path", Host.BASIC_ROUTE_INIT_SDK)
        VolleyRequest.post(context, "url", jsonObject, callback)
    }


    companion object {
        fun getInstance(): SdkRequest {
            return RequestHolder.INSTANCE
        }

        private object RequestHolder {
            val INSTANCE = SdkRequest()
        }
    }

}
